Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[VLC] refuse subitement de lire les vidéos ...[RÉSOLU]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Mon Jan 26, 2009 8:01 pm    Post subject: [VLC] refuse subitement de lire les vidéos ...[RÉSOLU] Reply with quote

Salut @ tous.

Voilà depuis ce midi un soucis est apparu avec vlc, alors que jusqu'à ce matin il fonctionnait impeccablement...
En fait il se lance, normal, lit toujours la musique mais dès que je veux mettre une vidéo ou 1 liste de lecture .m3u , il se referme aussitôt :oops: ....

Voilà l'erreur lorsque je le lance en console :
Code:
[00000001] main libvlc debug: translation test: code is "FR"
[00000658] logger interface: using logger...
[00000001] main libvlc: Lancement de vlc avec l'interface par défaut. Utiliser « cvlc » pour utiliser VLC sans interface
[00000665] main demux error: no meta reader module matched "any"
[????????] x11 video output error: X11 request 1.0 failed with error code 2:
 BadValue (integer parameter out of range for operation)
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  1 (X_CreateWindow)
  Value in failed request:  0x0
  Serial number of failed request:  26
  Current serial number in output stream:  30


Le plus troublant c'est que c'est arrivé subitement sans que j'ai fais de mise à jour ou quoi que ce soit d'autre.
il y a le même soucis, non résolu, ICI.

Je dispose de la dernière version de vlc ,idem pour xorg-server, ma version des drivers nvidia est la: 173.14.09, le tout sur le kernel 2.6.25-r7.

J'ai recompilé vlc mais l'erreur persiste.Et je ne vois vraiment pas comment résoudre ceci, ni d'ailleurs la raison de ce bug soudain, alors qu'il a toujours bien marché.

Ah je précise aussi que même si je change la sortie vidéo dans les préférences, le résultat est identique...Je n'ai pas d'erreurs dans ~/.xsession-errors, ni dans ~/vlc-log.txt ...

Si quelqu'un a 1 idée de la manière de résoudre ce problème je lui en serait reconnaissant.De même s'il faut d'autres infos :!:

Merci !
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->


Last edited by HazeC5 on Sat Apr 04, 2009 9:15 pm; edited 4 times in total
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Tue Jan 27, 2009 3:37 pm    Post subject: Reply with quote

Salut.

Je n'ai toujours pas solutionner mon gros problème.Cependant j'ai légèrement avancé, si j'puis dire (sic...!) !

J'ai fait un:
Code:
 strace vlc
dont voilà le résultat:
Strace.

Malheureusement je ne sais pas interpréter ce résultat.Mais à un moment il parle du ~/.Xauthority. J'ai donc renommer celui-ci et relancer vlc, histoire de voir.Cette fois j'obtiens CECI.
Je ne sais pas à quoi sert ce .Xauthority. Ni ,d'ailleurs, si ce qu'il contient est correct ou pas.

Je ne m'explique toujours pas comment vlc peut crasher comme ça alors que 1h avant tout allait bien, et qu'entre temps je n'ai rien fait sur la machine...

Si vous avez des propositions, n'hésitez pas.Sans vlc je suis malheureux :'(

Merci
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Tue Jan 27, 2009 4:13 pm    Post subject: Reply with quote

Hello,

Pour ta nouvelle erreur, c'est normal : en supprimant le fichier .Xauthority, tu as supprimé le cookie de connexion au serveur X => l'appli ne sait plus comment contacter le serveur X poru afficher ses fenêtre.
Un simple restart de X doit résoudre ce problème.

Pour le strace, il n'est pas complet : vlc se clone, donc il faut utiliser "strace -f" pour aussi tracer le process créé ;)
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Tue Jan 27, 2009 7:14 pm    Post subject: Reply with quote

Ok je ne savais pas pour le strace...Merci ^^


Voilà la sortie du
Code:
strace -f vlc Desktop/fichier


Pastebin

Visiblement l'erreur vient d'X qui échoue à exécuter la requête (si je comprends bien), pourtant vlc se lance mais pendant un cours instant, et seulement avec les vidéos ou du stream.Avec les fichiers audio il n'y a pas de soucis.

Là je viens de lancer une recompile de xorg-server, mais j'ai des doutes.'fin sait-on jamais...
@ ds 10mn pour le résultat ...!!!...

------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------
[ÉDIT_1] 10Mn + tard ..


Éh bien négatif, le problème reste le même après la recompile de xorg.

Me voilà donc dans une impasse...Je ne vois pas comment solutionner ça :!: :twisted: :cry: :evil:
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772
Location: Wellington, Aotearoa

PostPosted: Tue Jan 27, 2009 8:12 pm    Post subject: Reply with quote

Peux-tu mettre ton titre du topic en conformité avec les conventions de notre forum s'il te plait ? Merci :)
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Wed Jan 28, 2009 12:22 am    Post subject: Reply with quote

Bon J'ai recompilé vlc, xorg-server, mesa et nvidia-drivers.....Résultat je n'ai toujours pas résolu ce fichu problème...

Je désespère là, je ne vois vraiment pas quoi faire, et le fait que le blème soit apparu soudainement ne m'arrange guère.

Tous les jours j'utilise vlc , et s'il ne fonctionne pas ,me voilà dans de beaux draps, pfff :!: :twisted: :cry: :oops:

Nuitée.
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Wed Jan 28, 2009 8:13 am    Post subject: Reply with quote

Bon, donc ta trace ne nous apprend pas grand chose, en tous cas rien de plus que le message d'erreur.
Visiblement, c'est X qui refuse un paramètre envoyé par vlc.

Des pistes en vrac :
- ton X est en profondeur de couleurs maximales ?
- tu utilises vlc avec le plugin video x11 d'après ta trace, tu as essayé avec XV (xvideo) plutôt ?
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Wed Jan 28, 2009 9:01 am    Post subject: Reply with quote

T'as tout simplement viré (ou d'abord renommé) le ~/.vlc ??
_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Wed Jan 28, 2009 9:26 am    Post subject: Reply with quote

Hello,

Je n'ai pas eu exactement le même problème car pour moi ca n'a jamais fonctionné. Mais j'ai aussi un crach avec différents drivers video. Si j'utilise X11 la video marche et encore la video est super lente mais si j'utilise OpenGL ou XV ca me plante VLC j'ai pas regardé les traces par contre :oops:.
Et cela après une install fraiche de VLC, donc autant dire que je n'ai pas touché au ~\.vlc ...

Bonne journée
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Thu Jan 29, 2009 3:17 pm    Post subject: Reply with quote

Salut

Affirmatiff .... J'ai essayer avec un nouveau ~/.vlc ainsi qu'un nouveau ~/.cache/vlc et ~/.config/vlc , mais rien à faire l'erreur est toujours identique :(

De même quelque soit la sortie vidéo que j'utilise, l'erreur est toujours identique...
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Thu Jan 29, 2009 3:35 pm    Post subject: Reply with quote

Code:
revdep-rebuild -- -a

_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Thu Jan 29, 2009 3:38 pm    Post subject: Reply with quote

revdep-rebuild ne trouve rien à recompiler ,malheureusement...

A quoi sert cette option de revdep-rebuild ? Elle ne figure pas dans le man !
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2885
Location: Grenoble, France

PostPosted: Thu Jan 29, 2009 5:07 pm    Post subject: Reply with quote

je dirais que ça fait l'effet d'un -a sur emerge pour la liste des trucs qui vont être réinstallés, s'il y en a

man revdep-rebuild wrote:
revdep-rebuild [OPTIONS] [--] [EMERGE OPTIONS]
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Thu Jan 29, 2009 8:04 pm    Post subject: Reply with quote

Ah wé ok , bien vu ...Intéressant ça ,j'aurais appris quelque chose au moins.

Merci Kopp ;)
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
Pixys
l33t
l33t


Joined: 23 May 2005
Posts: 669

PostPosted: Tue Feb 03, 2009 6:20 pm    Post subject: Reply with quote

J'ai le même problème depuis ce matin...
j'ai rien installé de particulier à part ruby et rubygems... pas de etc-update intempestif non plus.
Back to top
View user's profile Send private message
Pixys
l33t
l33t


Joined: 23 May 2005
Posts: 669

PostPosted: Tue Feb 03, 2009 7:26 pm    Post subject: Reply with quote

Après avoir essayé qqlq trucs j'ai fait le ménage:
Code:
emerge -C vlc
emerge --depclean
find / -name vlc
rm -r /tout ce/qui/concerne/vlc/sauf ce qui est dans portage
emerge -av vlc

et ça refonctionne...
ssssi ça peut aider...
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Tue Feb 03, 2009 9:07 pm    Post subject: Reply with quote

Négatif de mon côté !J'avais déjà essayer mais sans virer les différents dossiers de vlc se situant dans le /home.

Je viens de retenter mais c'est toujours la même erreur... :cry:

Puis ce qui est regrettable c'est que dans portage ne se trouve plus qu'une seule version de vlc.
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Tue Feb 24, 2009 6:17 pm    Post subject: Reply with quote

Re...

Rahhh je comprends pas ,j'avais posté il ya 1h une message disant que j'avais ,résolu le problème, depuis quelques jours....

Et voilà que juste après avoir posté le message, VLc s'est remis à planter comme auparavant...

Je continue de chercher , je ne devrais plus être loin de trouver le solution, et dans ce ca je reposterais le message que j'avais mis + tôt.

@très vite pour de meilleures nouvelles, je l'espère ;)
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Fri Feb 27, 2009 6:50 pm    Post subject: Reply with quote

B'soir.

Aujourd'hui j'ai changé de kernel et suis passé au gentoo-sources-2.6.28. Malheureusement cela n'a rien changé par rapport à VLC.

Cependant depuis aujourd'hui se trouvent dans portage 3 nouveaux ebuilds de VLC:
Code:
[I] media-video/vlc
     Available versions:  0.9.8a {M}(~)0.9.9_rc {M}(**)0.9.9999 {M}(**)9999


La version "-9999" compile ,mais le problème et l'erreur sont toujours présents et identique... !!!
La version "0.9.9999" ne compile pas, pour cette raison:
Code:
 * git update start -->
 *    repository: git://git.videolan.org/vlc.git
fatal: The remote end hung up unexpectedly


Donc là je suis en train de compiler la "0.9.9_rc", mais je reste très pessimiste...En effet pour moi le soucis n'est pas dû à VLC lui même, mais je pense plutôt à X ou que sais-je d'autre...

Le plus étrange étant qu'il y a 3 jours il a fonctionné pendant 10mn, puis paf le problème est revenu à l'identique, sans que je touche ou change quoi que ce soit...

Au final le mystère demeure ... :twisted:

[Ah j'ai cherché un vieil ebuild de VLC ,mais n'ai trouvé que celui de la version "0.8.6f", mais celui-ci demande une version de ffmpeg beaucoup trop ancienne (<media-video/ffmpeg-0.4.9_p20070616-r1). Donc j'en suis resté là.] Mais de toute manière je crois que j'aurais beau tester toutes les versions possible et imaginable , cela ne changera rien au problème...

Bien sur en attendant j'utilise mplayer, que j'apprécie aussi, mais j'aimerais tout de même retrouvé ce VLC qui m'est cher. :)
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Fri Feb 27, 2009 8:16 pm    Post subject: Reply with quote

Hum je viens de percuter sur un truc.

Depuis la version 0.9.8a de VLc, celui-ci requiert le USE qt4 pour l'interface graphique...Or je viens de me rendre compte que la version de qt installée sur mon système est celle-ci:
Code:
x11-libs/qt-3.3.8b-r1

Et que le 22 Janvier il y a eu des modifications et des ajouts sur les paquets "qt*"..

La preuve ci-dessous:
Code:
$ eix -I --compact qt

[I] dev-libs/dbus-qt3-old (0.70@30/06/2008): D-BUS Qt3 bindings compatible with old application API and new dbus
[U] x11-libs/qt (3.3.8b-r1(3)@03/01/2009 -> 3.3.8b-r1(3) (~)4.5.0_rc1(4)): The Qt toolkit is a comprehensive C++ application development framework
[I] x11-libs/qt-core (4.5.0_rc1(4)@12/02/2009): The Qt toolkit is a comprehensive C++ application development framework
[I] x11-libs/qt-dbus (4.5.0_rc1(4)@12/02/2009): The DBus module for the Qt toolkit
[I] x11-libs/qt-gui (4.5.0_rc1-r1(4)@14/02/2009): The GUI module for the Qt toolkit
[I] x11-libs/qt-opengl (4.5.0_rc1(4)@12/02/2009): The OpenGL module for the Qt toolkit
[I] x11-libs/qt-script (4.5.0_rc1(4)@14/02/2009): The ECMAScript module for the Qt toolkit
Found 7 matches.


Or il s'avère que j'avais masqué il y a longtemps de cela la version 4 de qt, n'ayant rien en rapport avec KDE sur mon système et très peu de soft nécessitant qt.

Et la version de qt que je compile est exactement la version des autres paquets qt installés (cf ci-dessus) .
Donc je mettrais ma main à couper [pour de faux hein ;) , mais pour dire quand même ;p ] que c'est à cause de la version de qt qui est en cause par rapport à mon soucis avec VLC.
Ceci d'autant plus que le USE se nomme "qt4" , alors que jusqu'ici j'utilisais qt3. Cela dit jusqu'à ce que les petits paquets qt-* soient installés, ça ne dérangeait pas VLC puisque il fonctionnait parfaitement...

'fin je parle à l'imparfait comme ci le blème était résolu, alors que non...
Je suis en train de compiler x11-libs/qt-4.5.0_rc1 , mais il a besoin de plusieurs dépendances ainsi que de recompiler 3 paquets avec 1 ajout de USE (sqlite et qt3support)...

/me croise les doigts très très fort

@ très vite pour la bonne ou mauvaise nouvelle. :D
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Sat Feb 28, 2009 6:24 pm    Post subject: Reply with quote

Hugh

Bon bien retour au point mort..Après avoir mis qt-4 et compilé 2 paquets qt-* avec les USES qt3support et glib, le problème reste entièrement identique...

Je ne sais plus que faire...Je vous paste mon XORG.conf des fois que vous y repériez un soucis quelconque, tout en sachant qu'il a toujours fonctionné et que j'y ai pas fait de modifs depuis mon changement d'écran.

A savoir qu'au lancement d'X il charge ~/.nvidia-setting-rc, par contre je ne sais plus si j'ai activé ça avant ou après que le problème apparaisse ...Mais je pense pas qu'il y ait un rapport !

Côté log de Xorg , mis à part 1 warning apparu depuis hier (changement de kenrel ):
Code:

(WW) NVIDIA(0): Unable to parse range in HorizSync string "CRT-1:30-83";
(WW) NVIDIA(0): Unable to parse range in VertRefresh string "CRT-1:50-76";
, il n'y a rien d'autre à signaler...

[OFF]Et là en faisant ma mise à jour quotidienne, emerge me demande de recompiler les qt-* d'hier ,mais cette fois sans le USE qt3support...À n'y plus rien comprendre[/OFF]

Voilà voilà...Merci à vous pour vos idées.

Bonne soirée ;)
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
HazeC5
Apprentice
Apprentice


Joined: 16 May 2007
Posts: 227
Location: Devant l'écran

PostPosted: Sat Apr 04, 2009 9:14 pm    Post subject: Reply with quote

B'soir

Bien après n'avoir pu utiliser vlc depuis que le soucis est apparu, il s'avère que dans portage 2 nouvelles versions sont disponibles depuis quelques heures.

J'ai donc compilé la version 0.9.9 , et là miracle vlc remarche à merveille. ;)
Pourvu que cela dure et que le soucis ne va pas réapparaître après un reboot ou comme la 1ere fois , après une relance. J'croise les doigts.

Puis dans cette version ils ont rajouté énormément d'options avancées dont certaines ont l'air très pratiques et intéressantes.

Seul bémol, si je le lance via la console et une fois la lecture démarrée, pleins de caractères bizarre s'affiche dans la console: Comme ceci ...
C'est la 1ere fois que je vois ça quand je lance 1 outil via la console... Pour le moment je le lancerais donc via le menu, et si jamais vous voyez comment ne plus avoir ces fichus caractères (d'autant que ça bip sans arrêts tout le long...) je suis preneur.
J'ai regardé dans les options pour voir si je n'avais pas activé quelque chose en rapport ,mais je n'ai rien trouvé.D'ailleurs ça le fait même avec un vlcrc d'origine.

En tout cas je suis très heureux de retrouver mon vlc ;))
_________________
<--Pentium Quad-Core Q8400 -- Ram 6Go -- AsusTek P5QL-VM-- Intel G 43/45 HD --Son 5.1 Logitech -->
<-Enlightenment 17-svn Kernel CK-sources-3.7.10->
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum